@ECHO OFF

ECHO __________________________________
ECHO ##################################
ECHO #
ECHO # Compiling SAGA's Python API
ECHO #
ECHO ##################################
ECHO.

REM ___________________________________
REM ###################################
REM Needs pip/setuptools packages upgraded to the latest version!
REM Windows
REM > python -m pip install -U pip setuptools
REM Linux or OS X
REM > pip install -U pip setuptools

PUSHD %~dp0

REM SET ZIP=C:\Program Files\7-Zip\7z.exe
REM SET SWIG=D:\_develop\libs\swigwin-4.0.2\swig.exe
REM SET SAGA_VERSION=saga-major.minor.release
SET SAGA_ROOT=%CD%\..\..\..
SET SAGA_BIN=%SAGA_ROOT%\bin\saga_x64
SET PYTHONS=D:\_develop\libs\Python
SET OUTPUT=install

CMD /C CALL make_python_api.bat %OUTPUT% false 3.9  %PYTHONS%\Python-3.9
CMD /C CALL make_python_api.bat %OUTPUT% false 3.10 %PYTHONS%\Python-3.10
CMD /C CALL make_python_api.bat %OUTPUT% false 3.11 %PYTHONS%\Python-3.11
CMD /C CALL make_python_api.bat %OUTPUT% false 3.12 %PYTHONS%\Python-3.12
CMD /C CALL make_python_api.bat %OUTPUT% false 3.13 %PYTHONS%\Python-3.13
CMD /C CALL make_python_api.bat %OUTPUT% true  3.14 %PYTHONS%\Python-3.14

"%SAGA_BIN%\saga_cmd" dev_tools 9 -TARGET=1 -LOADDEFS=1 -NAMING=0 -CLEAN=1 -FOLDER="%SAGA_BIN%\PySAGA\tools"

POPD

PAUSE
